## php-guzzlehttp 5.0.1

=== Makefile ===
all: clean coverage docs

start-server:
	cd vendor/guzzlehttp/ringphp && make start-server

stop-server:
	cd vendor/guzzlehttp/ringphp && make stop-server

test: start-server
	vendor/bin/phpunit
	$(MAKE) stop-server

coverage: start-server
	vendor/bin/phpunit --coverage-html=artifacts/coverage
	$(MAKE) stop-server

view-coverage:
	open artifacts/coverage/index.html

clean:
	rm -rf artifacts/*

docs:
	cd docs && make html && cd ..

view-docs:
	open docs/_build/html/index.html

tag:
	$(if $(TAG),,$(error TAG is not defined. Pass via "make tag TAG=4.2.1"))
	@echo Tagging $(TAG)
	chag update -m '$(TAG) ()'
	sed -i '' -e "s/VERSION = '.*'/VERSION = '$(TAG)'/" src/ClientInterface.php
	php -l src/ClientInterface.php
	git add -A
	git commit -m '$(TAG) release'
	chag tag

perf: start-server
	php tests/perf.php
	$(MAKE) stop-server

package: burgomaster
	php build/packager.php

burgomaster:
	mkdir -p build/artifacts
	curl -s https://raw.githubusercontent.com/mtdowling/Burgomaster/0.0.1/src/Burgomaster.php > build/artifacts/Burgomaster.php

.PHONY: docs burgomaster

=== docs/requirements.txt ===
Sphinx>=1.2b1
guzzle_sphinx_theme>=0.6.0

=== debian/changelog ===
php-guzzlehttp (5.0.1-1) unstable; urgency=medium

  [ Michael Dowling ]
  * Fixing error and end events for network errors.
  * Fixing transfer_info vs transfer_stats.
  * Prepping bugfix release

 -- David Prévot <taffit@debian.org>  Sun, 19 Oct 2014 11:27:55 -0400

php-guzzlehttp (5.0.0-2) unstable; urgency=medium

  * Use php-symfony-class-loader instead of php-symfony-classloader
  * Upload to unstable since all dependencies have been promptly processed

 -- David Prévot <taffit@debian.org>  Wed, 15 Oct 2014 13:48:11 -0400

php-guzzlehttp (5.0.0-1) experimental; urgency=medium

  [ Michael Dowling ]
  * Using the system CA bundle by default when possible
  * Removing the bundled CA bundle completely
  * Getting tests working again. Removing more fluent interfaces.
  * Updating to use guzzle streams 3.0
  * Using FutureInterface and adding the ability to cancel a future response
  * Adding a Pool and marking Client::sendAll deprecated
  * Moving batch to Pool. Updating docs. Removing throwImmediately
  * Using readthedocs theme
  * Using getHeaderAsArray
  * React promises
  * Remove functions.php
  * PSR-7 compliance
  * Updating to use RingPHP and s/adapter/handle/g

  [ David Prévot ]
  * Adapt packaging for tests
  * Drop ca-certificates
  * Adapt packaging for new theme
  * Update description
  * Upload to experimental since dependencies are in NEW
  * Update DEP-8 tests

 -- David Prévot <taffit@debian.org>  Tue, 14 Oct 2014 21:27:54 -0400

php-guzzlehttp (4.2.3-1) unstable; urgency=medium

  [ Michael Dowling ]
  * Rewinding stream on complete on curl adapters to match the stream adapter
  * Reading body on MockAdapter only after invoking callback
  * Using getenv instead of $_SERVER
  * Using STDOUT only if defined
  * 4.2.3 release

  [ David Prévot ]
  * Demote documentation to suggestion
  * Simplify DEP-8 tests using latest implementation
  * Bump standards version to 3.9.6
  * Add a get-orig-source target

 -- David Prévot <taffit@debian.org>  Thu, 09 Oct 2014 13:07:39 -0400

php-guzzlehttp (4.2.2-1) unstable; urgency=medium

  [ Christer Gustavsson ]
  * Use previous req when creating a redirect req

  [ Michael Dowling ]
  * Not using request_fulluri in stream adapter. Closes #791
  * Fixing CurlAdapter memory leak. Closes #813
  * 4.2.2 release

 -- David Prévot <taffit@debian.org>  Thu, 11 Sep 2014 08:35:22 -0400

php-guzzlehttp (4.2.1-2) unstable; urgency=medium

  * Adapt to latest shared static path

 -- David Prévot <taffit@debian.org>  Mon, 25 Aug 2014 18:16:29 -0400

php-guzzlehttp (4.2.1-1) unstable; urgency=medium

  [ Michael Dowling ]
  * 4.2.1 release

  [ David Prévot ]
  * Simplify rules

 -- David Prévot <taffit@debian.org>  Wed, 20 Aug 2014 10:45:42 -0400

php-guzzlehttp (4.1.2-1) unstable; urgency=medium

  [ David Prévot ]
  * Strip away copyrighted ICC profile
  * Adapt packaging to version 4, and rename the package to be co-installable
    with version 3.

  [ Michael Dowling ]
  * 4.1.2 release

 -- David Prévot <taffit@debian.org>  Wed, 18 Jun 2014 22:30:37 -0400

php-guzzle (3.9.1+dfsg-2) unstable; urgency=medium

  * Remove social-buttons (privacy-breach)
  * Avoid nested tables (not yet implemented)
  * Add a documentation package

 -- David Prévot <taffit@debian.org>  Wed, 18 Jun 2014 14:25:51 -0400

php-guzzle (3.9.1+dfsg-1) unstable; urgency=medium

  [ Michael Dowling ]
  * 3.9.1 release

  [ David Prévot ]
  * Adapt packaging to Composer source
  * Run tests on package build
  * Add DEP-8 compliant tests
  * Upload to unstable since php-opencloud has been updated

 -- David Prévot <taffit@debian.org>  Tue, 17 Jun 2014 23:19:47 -0400

php-guzzle (3.9.0-1) experimental; urgency=medium

  [ Michael Dowling ]
  * Getting ready for 3.9

  [ David Prévot ]
  * Revert "Track 3.8 releases as needed by php-opencloud", and upload
    incompatible version with latest php-opencloud to experimental
  * Remove now useless upstream README
  * Update copyright

 -- David Prévot <taffit@debian.org>  Sun, 27 Apr 2014 15:21:05 -0400

php-guzzle (3.8.1-2) unstable; urgency=medium

  * Update source repository
  * Track 3.8 releases as needed by php-opencloud
  * Upload to unstable

 -- David Prévot <taffit@debian.org>  Sun, 27 Apr 2014 15:09:03 -0400

php-guzzle (3.8.1-1) experimental; urgency=medium

  [ Michael Dowling ]
  * Prepping for 3.8.1

  [ David Prévot ]
  * Use patched version of summary
  * Remove self from copyright

 -- David Prévot <taffit@debian.org>  Tue, 04 Feb 2014 19:45:33 -0400

php-guzzle (3.8.0-1) experimental; urgency=medium

  [ Michael Dowling ]
  * Prepping the 3.8.0 release

  [ David Prévot ]
  * Change section to php
  * Bump pkg-php-tools build-dependency
  * Fix watch file for moved service
  * Add ownCloud for Debian to uploaders
  * Document upstream Git source

 -- David Prévot <taffit@debian.org>  Wed, 11 Dec 2013 17:33:58 -0400

php-guzzle (3.7.4-1) experimental; urgency=low

  * Build-depend on pear-channels instead of pear-guzzle-channel
  * Bump standards version to 3.9.5
  * Remove data directly from package.xml
  * Imported Upstream version 3.7.4

 -- David Prévot <taffit@debian.org>  Mon, 28 Oct 2013 15:36:41 -0400

php-guzzle (3.7.0-1) unstable; urgency=low

  * Initial Release (Closes: #714486)

 -- David Prévot <taffit@debian.org>  Sat, 29 Jun 2013 17:34:01 -0400

=== debian/control ===
Source: php-guzzlehttp
Section: php
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: David Prévot <taffit@debian.org>
Build-Depends: debhelper (>= 9),
               nodejs,
               php-guzzlehttp-ringphp,
               php-symfony-class-loader,
               php5-curl,
               phpunit,
               pkg-php-tools (>= 1.7~),
               python-sphinx-rtd-theme,
               python-sphinx,
               texlive-fonts-recommended,
               texlive-latex-base,
               texlive-latex-extra,
               texlive-latex-recommended
Standards-Version: 3.9.6
Homepage: http://guzzlephp.org/
Vcs-Git: git://anonscm.debian.org/pkg-php/php-guzzle.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/php-guzzle.git

Package: php-guzzlehttp
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: php-guzzlehttp-doc, ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: object-oriented PHP HTTP client
 ${phpcomposer:description}.
 It takes the pain out of sending HTTP requests and the redundancy out of
 creating web service clients. It's a framework that includes the tools needed
 to create a robust web service client, including: Service descriptions for
 defining the inputs and outputs of an API, resource iterators for traversing
 paginated resources, batching for sending a large number of requests as
 efficiently as possible.

Package: php-guzzlehttp-doc
Section: doc
Architecture: all
Depends: libjs-jquery,
         python-guzzle-sphinx-theme,
         ${misc:Depends},
         ${sphinxdoc:Depends}
Description: object-oriented PHP HTTP client - documentation
 This package contains the documentation for Guzzle.
 .
 Guzzle is a PHP HTTP client that makes it easy to send HTTP requests and
 trivial to integrate with web services.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with phpcomposer,sphinxdoc -XTests

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C docs latexpdf

override_dh_auto_clean:
	$(MAKE) -C docs clean
	dh_auto_clean

override_dh_link:
	rm -r debian/php-guzzlehttp-doc/usr/share/doc/php-guzzlehttp/html/_static/css
	rm -r debian/php-guzzlehttp-doc/usr/share/doc/php-guzzlehttp/html/_static/fonts
	rm -r debian/php-guzzlehttp-doc/usr/share/doc/php-guzzlehttp/html/_static/js
	dh_link

override_dh_sphinxdoc:
	dh_sphinxdoc --exclude=jquery.js

get-orig-source:
	uscan --verbose --rename --force

=== debian/tests/control ===
Tests: phpunit
Restrictions: rw-build-tree
Depends: @, make, nodejs, patch, php-symfony-class-loader, php5-curl, phpunit, quilt

## php-guzzlehttp 5.3.0

=== debian/changelog ===
php-guzzlehttp (5.3.0-1) unstable; urgency=medium

  [ Michael Dowling ]
  * 5.3.0 release

  [ David Prévot ]
  * Add missing dependency for CI
  * Actually start the Node server for CI
  * Update (build-)dependency versions

 -- David Prévot <taffit@debian.org>  Sat, 23 May 2015 07:51:46 -0400

php-guzzlehttp (5.2.0-2) unstable; urgency=medium

  * Upload to unstable since it’s the end of the freeze
  * Provide homemade autoload.php
  * Add ownCloud for Debian maintainers to uploaders
  * Update tests from RingPHP as of 1.0.7
  * Fix python-sphinx-rtd-theme dependency (for doc)

 -- David Prévot <taffit@debian.org>  Fri, 24 Apr 2015 14:27:38 -0400

php-guzzlehttp (5.2.0-1) experimental; urgency=medium

  [ Michael Dowling ]
  * 5.2.0 release

 -- David Prévot <taffit@debian.org>  Fri, 30 Jan 2015 10:20:50 -0400

php-guzzlehttp (5.1.0-1) experimental; urgency=medium

  [ Michael Dowling ]
  * Preventing infinite recursion in Pool.
  * Cleaning up pool and wrapping exceptions in "end"
  * Not forcing typehint and adding test to ensure URL and query string
    can be customized
  * Setting a request option to null will ensure it is not set.
  * Waiting on deep futures when necessary to deal with retries.
  * Adding the ability to limit which redirect protocols are allowed.
  * 5.1.0 release

  [ Jamie Hannaford ]
  * Allow "0" (and any other falsy) URI paths

  [ Liam O'Boyle ]
  * Allow dynamic pool sizing.

 -- David Prévot <taffit@debian.org>  Sun, 21 Dec 2014 11:49:08 -0400

php-guzzlehttp (5.0.3-1) experimental; urgency=medium

  [ Michael Dowling ]
  * Query strings should be treated an un-encoded by default.
  * 5.0.3 release

  [ David Prévot ]
  * Do not use proxy for tests (see #766466)

 -- David Prévot <taffit@debian.org>  Fri, 07 Nov 2014 08:52:53 -0400

php-guzzlehttp (5.0.2-1) experimental; urgency=medium

  * Upload to experimental to respect the freeze

  [ Aleksey Kuleshov ]
  * moved \r\n to trailing boundary addition

  [ Michael Dowling ]
  * Adding a Pool::send convenience method. Closes #874
  * Using the format from keepachangelog.com
  * Do not overwrite existing header with POST
  * Query strings allow "/" characters
  * Improving URL encoding of path and query.
  * 5.0.2 release

  [ Rok Zlender ]
  * Switch status code set/get to integer fixes #881

 -- David Prévot <taffit@debian.org>  Sat, 01 Nov 2014 14:56:02 -0400

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Section: php
 Priority: optional
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
-Uploaders: David Prévot <taffit@debian.org>
+Uploaders: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>,
+           David Prévot <taffit@debian.org>
 Build-Depends: debhelper (>= 9),
                nodejs,
-               php-guzzlehttp-ringphp,
-               php-symfony-class-loader,
+               php-guzzlehttp-ringphp (>= 1.1),
                php5-curl,
+               phpab,
                phpunit,
-               pkg-php-tools (>= 1.7~),
+               pkg-php-tools (>= 1.29~),
+               python-sphinx,
                python-sphinx-rtd-theme,
-               python-sphinx,
                texlive-fonts-recommended,
                texlive-latex-base,
                texlive-latex-extra,
@@ -41,7 +42,7 @@
 Section: doc
 Architecture: all
 Depends: libjs-jquery,
-         python-guzzle-sphinx-theme,
+         python-sphinx-rtd-theme,
          ${misc:Depends},
          ${sphinxdoc:Depends}
 Description: object-oriented PHP HTTP client - documentation

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,17 @@
 #!/usr/bin/make -f
 %:
-	dh $@ --with phpcomposer,sphinxdoc -XTests
+	dh $@ --with phpcomposer,sphinxdoc
 
 override_dh_auto_build:
-	dh_auto_build
-	$(MAKE) -C docs latexpdf
+	phpab	--output src/autoload.php \
+		--template debian/autoload.php.tpl \
+		src
+	$(MAKE) -C docs html latexpdf
+	mkdir --parents vendor
+	phpab	--output vendor/autoload.php \
+		--basedir vendor \
+		--template debian/autoload.php.tpl \
+		src tests
 
 override_dh_auto_clean:
 	$(MAKE) -C docs clean

=== debian/tests/control ===
Test-Command: mkdir --parents vendor && phpab --output vendor/autoload.php --basedir vendor --template debian/autoload.tests.php.tpl tests && make test
Restrictions: rw-build-tree
Depends: @, make, nodejs, php5-curl, phpab, phpunit

## php-guzzlehttp 6.1.1

=== debian/changelog ===
php-guzzlehttp (6.1.1-1) experimental; urgency=medium

  [ Michael Dowling ]
  * 6.1.1 release

 -- David Prévot <taffit@debian.org>  Tue, 24 Nov 2015 22:59:34 -0400

php-guzzlehttp (6.1.0-1) experimental; urgency=medium

  [ Michael Dowling ]
  * 6.1.0 release

 -- David Prévot <taffit@debian.org>  Sat, 12 Sep 2015 12:41:00 -0400

php-guzzlehttp (6.0.2-1) experimental; urgency=medium

  [ Michael Dowling ]
  * Using older composer syntax for older versions of composer
  * 6.0.2 release

  [ Mark Trapp ]
  * Conditionally require functions.php

  [ David Prévot ]
  * Lower pkg-php-tools minimal version
  * Require functions_include.php instead of functions.php

 -- David Prévot <taffit@debian.org>  Mon, 06 Jul 2015 11:48:17 -0400

php-guzzlehttp (6.0.1-1) experimental; urgency=medium

  [ Michael Dowling ]
  * Updating for PSR7 changes and promise changes
  * Bumping PHP requirement to 5.5
  * 6.0.1 release

  [ Jeroen Visser ]
  * Updated license year

  [ David Prévot ]
  * Adapt packaging to dropped tests and doc
  * Adapt autoload to new dependencies
  * Upload to experimental since most packages currently depend on (<< 6~)

 -- David Prévot <taffit@debian.org>  Fri, 05 Jun 2015 06:39:10 -0400

=== debian/control ===
Source: php-guzzlehttp
Section: php
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>,
           David Prévot <taffit@debian.org>
Build-Depends: debhelper (>= 9), phpab, pkg-php-tools (>= 1.7~)
Standards-Version: 3.9.6
Homepage: http://guzzlephp.org/
Vcs-Git: git://anonscm.debian.org/pkg-php/php-guzzle.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/php-guzzle.git

Package: php-guzzlehttp
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: object-oriented PHP HTTP client
 ${phpcomposer:description}.
 It takes the pain out of sending HTTP requests and the redundancy out of
 creating web service clients. It's a framework that includes the tools needed
 to create a robust web service client, including: Service descriptions for
 defining the inputs and outputs of an API, resource iterators for traversing
 paginated resources, batching for sending a large number of requests as
 efficiently as possible.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with phpcomposer

override_dh_auto_build:
	phpab	--output src/autoload.php \
		--template debian/autoload.php.tpl \
		src

get-orig-source:
	uscan --verbose --rename --force

=== debian/watch ===
version=3
options=uversionmangle=s/-?(alpha|beta|rc)\.?/~$1/i \
https://github.com/guzzle/guzzle/releases .*/archive/v?(\d.+).tar.gz

## php-guzzlehttp 6.2.0

=== debian/changelog ===
php-guzzlehttp (6.2.0-1) unstable; urgency=medium

  [ Jonathan Eskew ]
  * 6.2.0 release

  [ Prayag Verma ]
  * Update license year

  [ David Prévot ]
  * Update copyright (years)

 -- David Prévot <taffit@debian.org>  Tue, 22 Mar 2016 21:16:17 -0400

php-guzzlehttp (6.1.1-2) unstable; urgency=medium

  * Upload to unstable, since only owncloud used php-guzzlehttp (<< 6)
  * Drop ownCloud for Debian maintainers from uploaders
  * Update Standards-Version to 3.9.7
  * Rebuild with recent pkg-php-tools for the PHP 7.0 transition

 -- David Prévot <taffit@debian.org>  Fri, 18 Mar 2016 08:55:23 -0400

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Section: php
 Priority: optional
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
-Uploaders: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>,
-           David Prévot <taffit@debian.org>
+Uploaders: David Prévot <taffit@debian.org>
 Build-Depends: debhelper (>= 9), phpab, pkg-php-tools (>= 1.7~)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://guzzlephp.org/
 Vcs-Git: git://anonscm.debian.org/pkg-php/php-guzzle.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/php-guzzle.git

## php-guzzlehttp 6.2.1

=== debian/changelog ===
php-guzzlehttp (6.2.1-1) unstable; urgency=medium

  [ Tobias Schultze ]
  * require psr7 1.3.1

  [ Michael Dowling ]
  * Addressing HTTP_PROXY security vulnerability, CVE-2016-5385
  * 6.2.1 release

  [ David Prévot ]
  * Update Standards-Version to 3.9.8

 -- David Prévot <taffit@debian.org>  Wed, 27 Jul 2016 02:14:13 -0400

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: David Prévot <taffit@debian.org>
-Build-Depends: debhelper (>= 9), phpab, pkg-php-tools (>= 1.7~)
-Standards-Version: 3.9.7
+Build-Depends: debhelper (>= 9), phpab, pkg-php-tools (>= 1.29~)
+Standards-Version: 3.9.8
 Homepage: http://guzzlephp.org/
 Vcs-Git: git://anonscm.debian.org/pkg-php/php-guzzle.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/php-guzzle.git
